Subject: Ticket Assigned - The Worst experience
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 27 Nov 2021 16:41:42 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  The Worst experience I am shocked with my shopping online experience with Max. I made my order 20 days ago and everyday you cancel a piece and now you cancelled the whole order without any reason.I called you twice and no one helped me.
I will never order from you again and I will tell all my friends about what happened even your branches , I will not enter them again!

Marwa Sami
Phone:00966542675095 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3474608